Name:		journal-triggerd
Summary:	A daemon that runs in the background, listening to systemd's journal
Version:	0.2.0
Release:	%mkrel 1
License:	GPLv3
Group:		System/Kernel and hardware
Url:		http://jjacky.com/%{name}/
Source0:	http://jjacky.com/%{name}/%{name}-%{version}.tar.gz
Source1:	error.rule.example
Source2:	unit_failed.rule.example
Patch0:		journal-triggerd-0.2.0-mga-fix_autogen.sh.patch
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	autogen
BuildRequires:	groff

%description
A small daemon that runs in the background, listening to systemd's journal,
and will run "triggers" (i.e. execute a given command line) when certain
messages are added. 
You can define which messages to listen for and what to run when such messages
are added to the journal, by defining rules.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
./autogen.sh

%configure2_5x

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/journal-triggerd.rules
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/journal-triggerd.rules
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/journal-triggerd.rules

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc   AUTHORS COPYING HISTORY README.md index.html
%{_bindir}/journal-triggerd
%{_unitdir}/journal-triggerd.service
%{_mandir}/man1/journal-triggerd.1.xz
%dir %{_sysconfdir}/journal-triggerd.rules
%{_sysconfdir}/journal-triggerd.rules/*.example


%changelog
* Fri Oct 25 2013 barjac <barjac> 0.2.0-1.mga4
+ Revision: 546913
- bug fix release 0.2.0
- added two simple .rule examples

* Mon Oct 21 2013 umeabot <umeabot> 0.1.0-2.mga4
+ Revision: 540624
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 barjac <barjac> 0.1.0-1.mga4
+ Revision: 494073
- imported package journal-triggerd

